package com.prolog.eis.service.out;


import com.prolog.eis.model.out.BizOutboundTaskDetailDismantleHis;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库任务拆零详情表-服务接口类
 * @date 2023-09-14 18:59
 */
public interface BizOutboundTaskDetailDismantleHisService {

    /**
     * 新增数据
     *
     * @param bizOutboundTaskDetailDismantleHis 出库任务拆零详情表
     */
    long save(BizOutboundTaskDetailDismantleHis bizOutboundTaskDetailDismantleHis);

    /**
     * 新增批量数据
     *
     * @param bizOutboundTaskDetailDismantleHisList 出库任务拆零详情表
     */
    long saveBatch(List<BizOutboundTaskDetailDismantleHis> bizOutboundTaskDetailDismantleHisList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDetailDismantleHis> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    BizOutboundTaskDetailDismantleHis findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDetailDismantleHis> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BizOutboundTaskDetailDismantleHis findById(int id);

    /**
     * 修改数据
     *
     * @param bizOutboundTaskDetailDismantleHis 实例对象
     */
    long update(BizOutboundTaskDetailDismantleHis bizOutboundTaskDetailDismantleHis);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
